package org.openxma.dsl.reference.types.valueobject;

/**
 * Represents a custom DataType for <code>VODate</code>.
 */
public class VODate extends org.openxma.dsl.platform.valueobject.ValueObjectDate {

    /**
     * Put the control and responsibility on the developer to determine the version of the
     * serialization class with which a serialized object is compatible.
     */
    private static final long serialVersionUID = 100L;

    /**
     * default ctor
     */
    public VODate(java.util.Date pDate) {
    	super(pDate);
    }

    /**
     * Create a new instance of VODate or return null depending on input.
     */
    public static VODate newOrNull(java.util.Date pDate) {
        if (pDate != null) {
            return new VODate(pDate);
        }
        return null;
    }

}
