package org.openxma.dsl.reference.types.valueobject;

/**
 * Represents a custom DataType for <code>VOLong</code>.
 */
public class VOLong extends org.openxma.dsl.platform.valueobject.ValueObjectLong {

    /**
     * Put the control and responsibility on the developer to determine the version of the
     * serialization class with which a serialized object is compatible.
     */
    private static final long serialVersionUID = 100L;

    /**
     * default ctor
     */
    public VOLong(Long pLong) {
    	super(pLong);
    }

    /**
     * Create a new instance of VOLong or return null depending on input.
     */
    public static VOLong newOrNull(Long pLong) {
        if (pLong != null) {
            return new VOLong(pLong);
        }
        return null;
    }

    /**
     * Create a new instance of VOLong or return null depending on input.
     */
    public static VOLong newOrNull(String value) {
        if (value != null && value.length() > 0) {
            return new VOLong(Long.valueOf(value));
        }
        return null;
    }

}
