namespace org.openxma.dsl.reference.^xma.^order
import org.openxma.dsl.reference.*
import org.openxma.dsl.reference.^service.*

component xma::Order uses OrderService, CustomerService {
    data OrderStateView orderState
    data Order[] orders
    data OrderItem[] orderItems
    data Customer customer
    
    page xma::OrderSearchForm {
        command findOrder
        command selectOrder

        eventmapping {
            onInit -> findOrder
            findButton   -> findOrder
            orderTable.onSelection -> selectOrder
        } 
    
        panel xma::orderSearchFormComp { 
            vpanel orderTableHeader bottom=200 {
                label headerText "Orders:" left=0
                orderState.orderNumber  
                label customerText "Customer:" | text customer width=200  editable=false | button selectCustomer "Select Customer"
                button findButton "Find"
            }
            table orderTable key=orders.oid top=orderTableHeader bottom=100% {
                orders.orderNumber      width=80
                orders.storeId          width=140
                orders.placementDate    width=140
                orders.deliveryDate     width=140
                orders.orderState       width=140
            }
        } 
    }
    
    
    page xma::OrderEditForm {
        command readOrder
        command saveOrder
        command cancel
        command selectOrderItem

        eventmapping {
            onInit -> readOrder
            okButton     -> saveOrder
            cancelButton -> cancel
        }
        
        panel xma::orderEditFormComp {
            tabfolder tabfolder1 top=0 bottom=actionComposite {
                tabpage Page1 "Basic Information" {
                    vpanel infoComposite top=10  {
                        customer.firstName
                        customer.lastName
                        orderState.orderNumber
                        orderState.storeId 
                        orderState.placementDate 
                        orderState.deliveryDate
                        orderState.orderState
                    }
                }
                tabpage Page2 "OrderItems" {
                    eventmapping {
                        orderItemsTable.onSelection -> selectOrderItem
                    }
                    vpanel orderItemsTableHeader bottom=20 {
                        label headerText "OrdersItems of the Order:" left=0
                    }
                    table orderItemsTable key=orderItems.oid top=orderItemsTableHeader bottom=100% {
                        orderItems.itemNo width=80
                        orderItems.quantity width=140
                    }
                }
                
            }
            hpanel actionComposite bottom=100% align=right {
                button okButton "Ok"
                button cancelButton "Cancel"
            }
        }
    }
}

